diff --git pipcl.py pipcl.py
index 26109b0c2520..7aaa111a07af 100644
--- pipcl.py
+++ pipcl.py
@@ -1449,12 +1449,13 @@ def build_extension(
         if optimise:
             general_flags += ' -O2 -DNDEBUG'
         
+        loadable_module_flag = '-shared'
         if darwin():
-            # MacOS's linker does not like `-z origin`.
-            rpath_flag = "-Wl,-rpath,@loader_path/"
+            rpath_flag = ''
             
             # Avoid `Undefined symbols for ... "_PyArg_UnpackTuple" ...'.
             general_flags += ' -undefined dynamic_lookup'
+            loadable_module_flag = '-bundle'
         elif pyodide():
             # Setting `-Wl,-rpath,'$ORIGIN',-z,origin` gives:
             #   emcc: warning: ignoring unsupported linker flag: `-rpath` [-Wlinkflags]
@@ -1511,7 +1512,7 @@ def build_extension(
             command = f'''
                     {command}
                         -fPIC
-                        -shared
+                        {loadable_module_flag}
                         {general_flags.strip()}
                         {pythonflags.includes}
                         {includes_text}
@@ -1845,6 +1846,7 @@ def macos_patch( library, *sublibraries):
         List of paths of shared libraries; these have typically been
         specified with `-l` when `library` was created.
     '''
+    return
     log2( f'macos_patch(): library={library}  sublibraries={sublibraries}')
     if not darwin():
         return
diff --git pyproject.toml pyproject.toml
index 6c14e94fbb57..7cf8fe3db701 100644
--- pyproject.toml
+++ pyproject.toml
@@ -1,5 +1,5 @@
 [build-system]
-requires = ["libclang", "swig", "setuptools"]
+requires = ["setuptools"]
 
 # See pep-517.
 #
diff --git setup.py setup.py
index 4563dc197d7f..d5f1c4ccb1d7 100755
--- setup.py
+++ setup.py
@@ -1105,7 +1105,7 @@ def _extension_flags( mupdf_local, mupdf_build_dir, build_type):
         libraries = f'{mupdf_local}\\platform\\{infix}\\{wp.cpu.windows_subdir}{build_type_infix}\\{libs}'
         compiler_extra = ''
     else:
-        libs = ['mupdf']
+        libs = ['mupdf', 'freetype']
         defines = None
         compiler_extra += (
                 ' -Wall'
